Subject: bug#48381: 28.0.50; doc-view-search: Query ask for interactive regexp, even non-interactively

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 12 May 2021 21:47:14 +0200

Jean Louis <[email-masked]> writes:

> I am observing that `doc-view-search' asks for "Regexp: " even if called
> non-interactively, but it should not.

The command is meant to repeat the previous regexp normally, and if the
user says `C-u', then prompt for a regexp.  That is, the command (and
`doc-view-search-backward') are not meant for programmatic searches with
a regexp, but only interactive use.

So I think the command works fine as is, and I'm closing this bug
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no